Bug 1304814 - Update to ModemManager 1.4.12 to disable CDMA capabilities when using MBIM
Update to ModemManager 1.4.12 to disable CDMA capabilities when using MBIM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 12:05 EST by David Ward
Modified: 2016-04-05 12:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: ModemManager-1.4.14-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-05 09:51:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 91351 None None None 2016-02-04 12:05 EST

  None (edit)
Description David Ward 2016-02-04 12:05:22 EST
Please update to ModemManager 1.4.12 in rawhide and Fedora 23 (at least), in order to fix the following bug in particular:

broadband-modem-mbim: disable CDMA capabilities until we actually support MBIM+CDMA
http://cgit.freedesktop.org/ModemManager/ModemManager/commit/?id=8e6c86c8de11ac8d2707aa8d77b44bc65839b478

This bug prevents certain modems such as Sierra Wireless EM7355 from being recognized by ModemManager (when using MBIM).

Thanks!
Comment 1 Jan Kurik 2016-02-24 09:24:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Lubomir Rintel 2016-03-31 06:15:48 EDT
This indeed sounds like a reasonable thing to do now.

Rawhide/f24 has been updated to 1.6 series release candidates now, the 1.4.x update is now building for fc23.
Comment 3 Fedora Update System 2016-03-31 09:15:04 EDT
ModemManager-1.4.14-1.fc23 libmbim-1.12.4-2.fc23 libqmi-1.12.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbba3bf922
Comment 4 Fedora Update System 2016-04-01 11:23:54 EDT
ModemManager-1.4.14-1.fc23, libmbim-1.12.4-2.fc23, libqmi-1.12.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbba3bf922
Comment 5 Fedora Update System 2016-04-05 09:51:30 EDT
ModemManager-1.4.14-1.fc23, libmbim-1.12.4-2.fc23, libqmi-1.12.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-04-05 12:19:21 EDT
ModemManager-1.4.14-1.fc23, libmbim-1.12.4-2.fc23, libqmi-1.12.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.